Range-v3 Range algorithms, views, and actions for the Standard Library |

Typedefs | Functions
mismatch.hpp File Reference

## Typedefs
template<typename I1 , typename I2 >
using | ranges::mismatch_result = detail::in1_in2_result< I1, I2 >

## Functions
template<typename I1 , typename S1 , typename I2 , typename C = equal_to, typename P1 = identity, typename P2 = identity>
mismatch_result< I1, I2 > | ranges::mismatch (I1 begin1, S1 end1, I2 begin2, C pred=C{}, P1 proj1=P1{}, P2 proj2=P2{})
| function template `mismatch` More...
template<typename I1 , typename S1 , typename I2 , typename S2 , typename C = equal_to, typename P1 = identity, typename P2 = identity>
mismatch_result< I1, I2 > | ranges::mismatch (I1 begin1, S1 end1, I2 begin2, S2 end2, C pred=C{}, P1 proj1=P1{}, P2 proj2=P2{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<typename Rng1 , typename I2Ref , typename C = equal_to, typename P1 = identity, typename P2 = identity>
mismatch_result< borrowed_iterator_t< Rng1 >, uncvref_t< I2Ref > > | ranges::mismatch (Rng1 &&rng1, I2Ref &&begin2, C pred=C{}, P1 proj1=P1{}, P2 proj2=P2{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename Rng1 , typename Rng2 , typename C = equal_to, typename P1 = identity, typename P2 = identity>
mismatch_result< borrowed_iterator_t< Rng1 >, borrowed_iterator_t< Rng2 > > | ranges::mismatch (Rng1 &&rng1, Rng2 &&rng2, C pred=C{}, P1 proj1=P1{}, P2 proj2=P2{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...